AsterNet Class Library (Sandcastle documentation)

| AGIScript GetChannelStatus Method

Returns the status of the channel.
Return values:

- 0 Channel is down and available
- 1 Channel is down, but reserved
- 2 Channel is off hook
- 3 Digits (or equivalent) have been dialed
- 4 Line is ringing
- 5 Remote end is ringing
- 6 Line is up
- 7 Line is busy

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected int GetChannelStatus()

    Protected Function GetChannelStatus As Integer

    protected:
    int GetChannelStatus()

    member GetChannelStatus : unit -> int

#### Return Value

Type: Int32
the status of the channel.
See Also

#### Reference

AGIScript Class
AsterNET.FastAGI Namespace